SectionVerb {
	EnableSequence [
		cset "name='Auto-Mute Mode' Disabled"
		cset "name='Loopback Mixing' Disabled"
		cset "name='Capture Volume' 100%"
		cset "name='Master Playback Volume' 100%"
		cset "name='Master Playback Switch' on"
		cset "name='Line Boost Volume' 22%"
		cset "name='Rear Mic Boost Volume' 22%"
		cset "name='Front Mic Boost Volume' 22%"
	]
}

SectionDevice."LineOut" {
	Comment "Line Out"

	ConflictingDevice [
		"Headphone"
	]

	EnableSequence [
		cset "name='Line Playback Volume' 100%"
		cset "name='Line Playback Switch' on"
#		cset "name='Line Out Playback Volume' 100%"
#		cset "name='Line Out Playback Switch' on"
		cset "name='Speaker+LO Playback Volume' 100%"
		cset "name='Speaker+LO Playback Switch' on"
	]

	DisableSequence [
		cset "name='Line Playback Switch' off"
		cset "name='Speaker+LO Playback Switch' off"
	]

	Value {
		PlaybackPCM "hw:${CardId}"
		PlaybackChannels "2"
		PlaybackPriority "200"
		JackControl "Line Out Jack"
	}
}

SectionDevice."LineIn" {
	Comment "Line In"

	EnableSequence [
		cset "name='Input Source' Line"
	]

	DisableSequence [
		cset "name='Input Source' Rear Mic"
	]

	Value {
		CapturePCM "hw:${CardId}"
		CaptureChannels "2"
		JackControl "Line Jack"
	}
}

SectionDevice."RearMic" {
	Comment "Rear Mic"

	EnableSequence [
		cset "name='Rear Mic Playback Volume' 100%"
		cset "name='Input Source' Rear Mic"
		cset "name='Rear Mic Playback Switch' on"
	]

	DisableSequence [
		cset "name='Rear Mic Playback Switch' off"
	]

	Value {
		CapturePCM "hw:${CardId}"
		CaptureChannels "2"
		JackControl "Rear Mic Jack"
	}
}

SectionDevice."Headphone" {
	Comment "Headphone"

		ConflictingDevice [
		"LineOut"
	]

	EnableSequence [
		cset "name='Headphone Playback Volume' 100%"
		cset "name='Headphone Playback Switch' on"
	]

	DisableSequence [
		cset "name='Headphone Playback Switch' off"
	]

	Value {
		PlaybackPCM "hw:${CardId}"
		PlaybackChannels "2"
		PlaybackPriority "100"
		JackControl "Front Headphone Jack"
	}
}

SectionDevice."FrontMic" {
	Comment "Front Mic"

	EnableSequence [
		cset "name='Front Mic Playback Volume' 100%"
		cset "name='Input Source' Front Mic"
		cset "name='Front Mic Playback Switch' on"
	]

	DisableSequence [
		cset "name='Front Mic Playback Switch' off"
	]

	Value {
		CapturePCM "hw:${CardId}"
		CaptureChannels "2"
		JackControl "Front Mic Jack"
	}
}
